# Created by pyp2rpm-3.3.2
%global pypi_name qdarkstyle
%global mod_name QDarkStyle

%bcond_with tests

Name:           python-%{pypi_name}
Version:        3.1
Release:        %mkrel 2
Summary:        A dark stylesheet for Python and Qt applications
Group:          Development/Python
License:        MIT
URL:            https://github.com/ColinDuquesnoy/QDarkStyleSheet
Source0:        https://files.pythonhosted.org/packages/source/q/%{pypi_name}/QDarkStyle-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pyside2
BuildRequires:  python3dist(helpdev) >= 0.6.2
BuildRequires:  python3dist(pyqt5)
BuildRequires:  python3dist(qtpy) >= 1.7
BuildRequires:  python3dist(qtsass)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(watchdog)

# required for tests
BuildRequires:  python3-qt5-devel
BuildRequires:  python3dist(pyqtgraph)
BuildRequires:  python3dist(tox)

%description
A dark stylesheet for Qt applications (Qt4, Qt5, PySide, PySide2, PyQt4, 
PyQt5, QtPy, PyQtGraph).

%package -n     python3-%{pypi_name}
Summary:        A dark stylesheet for Python and Qt applications
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(qtsass)
Requires:       python3dist(watchdog)
Recommends:     python3dist(pyqt5)
Recommends:     python3dist(pyside2)

%description -n python3-%{pypi_name}
A dark stylesheet for Qt applications (Qt4, Qt5, PySide, PySide2, PyQt4, 
PyQt5, QtPy, PyQtGraph).


%prep
%autosetup -n QDarkStyle-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qdarkstyle

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc AUTHORS.rst CHANGES.rst CONTRIBUTING.rst
%{_bindir}/qdarkstyle
%{_bindir}/qdarkstyle.example
%{_bindir}/qdarkstyle.utils


%changelog
* Sun Feb 19 2023 daviddavid <daviddavid> 3.1-2.mga9
+ Revision: 1944097
- remove no more needed and available python3dist(m2r)

* Wed Sep 07 2022 papoteur <papoteur> 3.1-1.mga9
+ Revision: 1885045
- new 3.1

* Wed Apr 06 2022 umeabot <umeabot> 3.0.2-3.mga9
+ Revision: 1846178
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 3.0.2-2.mga9
+ Revision: 1783163
- change BR from qt4 to qt5
- rebuild for python-3.10
- disable tests which do not work with py3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 3.0.2-1.mga9
+ Revision: 1716687
- new version: 3.0.2

* Mon Mar 22 2021 daviddavid <daviddavid> 2.8.1-2.mga9
+ Revision: 1707321
- rebuild for python 3.9

* Wed Jan 06 2021 daviddavid <daviddavid> 2.8.1-1.mga8
+ Revision: 1669321
- new version: 2.8.1
+ joequant <joequant>
- fix python3 dep
- imported package python-qdarkstyle

